SDL_SetWindowModalFor(3)

NAME
SDL_SetWindowModalFor - Set the window as a modal to a parent window.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetWindowModalFor(SDL_Window *modal_window, SDL_Window *parent_window);

DESCRIPTION
If the window is already modal to an existing window, it will be reparented to the new owner. Setting the parent window to null unparents the modal window and removes modal status. Setting a window as modal to a parent that is a descendent of the modal window results in undefined behavior.

FUNCTION PARAMETERS

modal_window
    the window that should be set modal

parent_window
    the parent window for the modal window

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.